[user]
	email = bruno.carlin@waarp.org
	name = Bruno Carlin
	signkey = 08C44FD445331DEF6696FB5D229863E4199FC2F8
[gui]
	encoding = utf-8
[protocol]
	version = 2
[filter "lfs"]
	required = true
	clean = git-lfs clean -- %f
	smudge = git-lfs smudge -- %f
	process = git-lfs filter-process
[alias]
	ap = add -p
	co = checkout
	ci = commit
	st = status
	br = branch
	cm = checkout master
	cl = !git branch -d $(git branch --format '%(refname:lstrip=2)' --merged master | grep -v master)
    loga = log --oneline --decorate --graph --all
    logd = loga --simplify-by-decoration
	pushmerge = push -o merge_request.merge_when_pipeline_succeeds
    pushmr = push -o merge_request.create -o merge_request.merge_when_pipeline_succeeds
    uncommit = reset --soft HEAD^
[url "ssh://git@code.waarp.fr:2222"]
	insteadOf = https://code.waarp.fr
[core]
	pager = delta --dark --theme 'Solarized (dark)'
# define command which will be used when "nvim" is set as a merge tool
[mergetool "nvim"]
  cmd = nvim -d $LOCAL $MERGED $REMOTE -c 'wincmd l'
[merge]
    #tool = vimdiff
    tool = nvim
	guitool = meld
[pull]
	rebase = false
